<!doctype html>
<html>
<head>
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href="img/favicon.ico" />
{$load('php',"{$params['circle']['files_path']}/data/theme")}
{$ut->expand('head')}

<link rel="stylesheet" href="{$params['data_url']}css/34gs.css">
<link rel="stylesheet" href="{$params['data_url']}css/34gs-queries.css">

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script type="text/javascript">

// jquery script 
\$(document).ready(function() {

	// add console window to screen
	\$('.container:first-child').append('<div id="console"></div>');
	
	// add website link
	\$('.container:first-child').append('<div id="to-website"><a href="http://34grid.com/" target="_blank">34gs website</a></div>');

	// check size at startup and update size check console text
	__sizeCheck(\$(window));

	// resize handler for size check
	\$(window).resize(function() {
		
		// check point :)
		__sizeCheck(\$(this));

	});

	/**
	 * Size checker.
	 */
	function __sizeCheck(element) {
		
		// current width
		var _cWidth = element.width();
		
		// update text
		_cText = 'desktop screens > 1200px';

		// check block
		if(_cWidth < 1200) {
			_cText = 'desktop computer ' + _cWidth + 'px';
		}
		if(_cWidth < 1024) {
			_cText = 'ipad landscape ' + _cWidth + 'px';
		}
		if(_cWidth < 768) {
			_cText = 'ipad portrait ' + _cWidth + 'px';
		}
		if(_cWidth < 480) {
			_cText = 'iphone landscape ' + _cWidth + 'px';
		}
		if(_cWidth < 320) {
			_cText = 'iphone portrait ' + _cWidth + 'px';
		}
		if(_cWidth < 240) {
			_cText = 'so small phones ' + _cWidth + 'px';
		}

		// update console text
		$('#console').text('').text( _cText );

	}

	/**
	 * Click and filter current column.
	 */
	$('.container > .row > div:first-child').click(function() {
		
		// select current cols and it's complements
		var _doNotSelect = '.' + $(this).attr('class') + ', ' + '.' + $(this).attr('class') + 'c';

		// show / hide rows
		$('.container > .row > div').not(_doNotSelect).toggle();

	});

});

</script>


<!--
====
========================================== DEMO STYLES ====
-->
<style type="text/css">
* { margin: 0; padding: 0; }
::-moz-selection { background: #E28590; color: #fff; text-shadow: none; }
::selection { background: #E28590; color: #fff; text-shadow: none; }
html {font-size: 16px; /*base for em sizes*/}
body {background: #f9f9f9 url('http://34grid.com/img/layout-bg.jpg');}
.container {
	/*max-width: 90%;*/
}
.container:first-child {
	margin-top: 100px;
}
.container:last-child {
	margin-top: 40px;
	margin-bottom: 80px;
}
.container > .row > div {
	background: #c90d50;
	text-align: center;
	font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
	cursor: pointer;
	color: #fff;
	padding-top: 5px;
	padding-bottom: 5px;
	border-radius: 2px;
}
.container:first-child > .row > div {
	background: #76ad14;
}
.container > .row > div:first-child {
	background: #262422;
}
.container > .row > div:hover {
	background: #262422;

	-webkit-transition: background 240ms ease;
	-moz-transition: background 240ms ease;
	-o-transition: background 240ms ease;
	-ms-transition: background 240ms ease;
	transition: background 240ms ease;
}
.container > .row > div:active {
	/*margin-top: 2px;*/
	/*margin-bottom: 10px;*/
	background: #33312f;

	-webkit-transition: none;
	-moz-transition: none;
	-o-transition: none;
	-ms-transition: none;
	transition: none;
}
#console {
	position: fixed;
	top: 0; left: 0;
	width: 100%; height: 50px;
	line-height: 50px;
	/*padding: 10px 0;*/
	text-align: center;
	font-family: courier;
	color: #000;
	border-bottom: 1px solid #bbb;
	text-shadow: 0px 1px 0px #fff;

	background: #f7f7f7;
	background: -moz-linear-gradient(top,  #f7f7f7 0%, #f2f2f2 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#f7f7f7), color-stop(100%,#f2f2f2));
	background: -webkit-linear-gradient(top,  #f7f7f7 0%,#f2f2f2 100%);
	background: -o-linear-gradient(top,  #f7f7f7 0%,#f2f2f2 100%);
	background: -ms-linear-gradient(top,  #f7f7f7 0%,#f2f2f2 100%);
	background: linear-gradient(to bottom,  #f7f7f7 0%,#f2f2f2 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f7f7f7', endColorstr='#f2f2f2',GradientType=0 );
}
#to-website {
	position: fixed;
	top: 53px;
	right: 0px;
}
#to-website > a {
	background: #555;
	color: #eee;
	padding: 1px 8px 2px 10px;
	text-decoration: none;
	font-size: 12px;
	border-radius: 2px 0px 0px 2px;
}
#to-website > a:hover {
	background: #666;	
}
</style>

{$load('less',"{$config['site_url']}css/onethird.7")}
{$load('less',"{$params['data_url']}comm")}

{$ut->expand('css',1)}
{$ut->expand_sorted('js',1)}

</head>

<body>

	<!--
	====
	============================= MAIN WRAPPER FOR CONTENT ====
	-->
	{$div('page:self','name:contents','mode:inline','class:container','edit_class:container')}
	<br />
	{$div('page:self','name:sub','mode:inline','class:container','edit_class:container')}
	<br />

{$call('system_toolbar')}
{$ut->expand('meta')}
{$call('analytics')}

</body>
</html>